%global		git_commit efb3215
Name:		libkgoogle
Version:	0.3.1
Release:	1.20120430git%{git_commit}%{?dist}
Summary:	Library to access to Google services
Group:		Development/Libraries

License:	GPLv3
URL:		http://projects.kde.org/akonadi-google

# Package from git snapshots, create example:
# git clone git://anongit.kde.org/akonadi-google
# cd akonadi-google
# git archive \\
#	--format=tar.gz \\
#	--prefix=libkgoogle/ \\
#	-o ../libkgoogle-0.3.1-git754771b.tar.gz \\
#	master
Source0:	%{name}-%{version}-git%{git_commit}.tar.gz

BuildRequires:	cmake 
BuildRequires:	qt-devel 
BuildRequires:	kdepimlibs-devel 
BuildRequires:	kdelibs-devel 
#BuildRequires:	akonadi-devel 
BuildRequires:	qjson-devel
#BuildRequires:	libxslt-devel

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

%description
Library to access to Google services, this package is needed by kdepim-runtime
to build akonadi-google resources.


%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: libkgoogle = %{version}-%{release}
%description -n libkgoogle-devel
Libraries and header files for developing applications that use akonadi-google resources.


%prep
%setup -q -n %{name}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc README CHANGELOG LICENSE
%{_libdir}/libkgoogle.so.0*

%files devel
%{_kde4_includedir}/libkgoogle/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_datadir}/kde4/apps/cmake/modules/FindLibKGoogle.cmake


%changelog
* Mon Apr 30 2012 Mario Santagiuliana <fedora@marionline.it> 0.3.1-1.20120430gitefb3215
- Rename package from akonadi-google to libkgoogle
- Update spec file
- Snapshot efb32159c283168cc2ab1a39e6fa3c8a30fbc941

* Mon Apr 30 2012 Mario Santagiuliana <fedora@marionline.it> 0.3.1-1
- New version 0.3.1

* Thu Apr 01 2012 Mario Santagiuliana <fedora@marionline.it> 0.3-1.20120402git3e0a93e
- New version 0.3
- Update to git snapshot 3e0a93e1b24cd7b6e394cf76d153c428246f9fa9
- Obsolete akonadi-google-tasks
- Fix error in changelog

* Thu Mar 01 2012 Mario Santagiuliana <fedora@marionline.it> 0.2-12.20120301git41cd7c5
- Update to git snapshot 41cd7c5d6e9cfb62875fd21f8a920a235b7a7d9c

* Wed Jan 20 2012 Mario Santagiuliana <fedora@marionline.it> 0.2-11.20120121gitbe021c6
- Update to git snapshot be021c6f12e6804976dcac203a1864686a219c26

* Wed Jan 20 2012 Mario Santagiuliana <fedora@marionline.it> 0.2-10.20120120git11bf6ad
- Update spec file follow comment 1:
https://bugzilla.redhat.com/show_bug.cgi?id=783317#c1
- Update to git snapshot 11bf6ad40dd93eda1f880a99d592009ea3ff47ac
- Include LICENSE

* Thu Jan 19 2012 Mario Santagiuliana <fedora@marionline.it> 0.2-9.20120119git754771b
- Create spec file for Fedora Review
- Source package create from git snapshot 754771b6081b194aedf750fac76a9af2709a5de3

* Wed Nov 16 2011 Dan Vratil <dan@progdan.cz> 0.2-8.1
- Initial SPEC
